
QGIS Application - Bug report #4864

wrong rasters stretching

2012-01-24 03:50 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14694

Description

When importing and adding a raster into a GRASS mapset, the layer is renderer with the wrong stretching and it is necessary to hit "local

histogram stretch" to have the color map looks the same as the original raster. More in general when handling a GRASS raster, there is a

difference in the colormap when hitting "local histogram stretch" or "stretch histogram to full dataset" even if the raster is being rendered

at full extent -> in this case the two color maps should look the same.

Tested on master.

History

#1 - 2012-01-26 06:47 AM - Giovanni Manghi

- Category changed from GRASS to Rasters

- Subject changed from wrong stretching in GRASS rasters to wrong rasters stretching

it happens also with non GRASS rasters, when reprojected

#2 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2012-10-04 04:21 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Definitely fixed in qgis master.
